<?php 


/**
 * custom post type - FEATURED
 */
add_action('init', 'featured_custom_init');
function featured_custom_init() {

	register_post_type('featured', array(
		'label'               => 'Featured',
		'public'              => true, 	// veci sa daju editovat cez menu a zobrazovat na stranke
		'exclude_from_search' => true,  // nechceme aby v nich search vyhladaval
		'has_archive'         => true, 	// aby sa dali vylistovat vsetky pod sebou
		'supports'            => array( 'title', 'editor' ),
	));

}



/**
 * shortcode pre FEATURED
 */
add_shortcode('gimme_featured', 'featured_shortcode_init');
function featured_shortcode_init()
{
	$loop = new WP_Query( array( 'post_type' => 'featured', 'posts_per_page' => -1 ) );

	$text = '';
	while ( $loop->have_posts() )
	{
		$loop->the_post();

		$text .= '<article class="featured-item">';
		$text .= '	<h3>'. get_the_title() .'</h3>';
		$text .= 	get_the_content('');
		$text .= '</article>';
	}

	return $text;
}



/**
 * spojazdni shortcodes v text widgetoch
 */
add_filter( 'widget_text', 'do_shortcode' );

